<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\DB ;

class PaymentTransactionTypeColumSetNotNull extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("SET FOREIGN_KEY_CHECKS = 0;");
        DB::statement("
        ALTER TABLE `payment_transaction`
        MODIFY COLUMN `payment_type_mapping_id` int(11) NULL AFTER `property_id`;
        ") ;
        DB::statement("SET FOREIGN_KEY_CHECKS = 1;");

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
